{"openapi":"3.1.0","info":{"title":"GET /api/v1/advisory-firms/{firm_id}/templates/{template_id}/deployments","version":"1.0.0","description":"List deployment history for a template"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/advisory-firms/{firm_id}/templates/{template_id}/deployments":{"get":{"tags":["advisory-firm-templates"],"summary":"List deployment history for a template","operationId":"list_firm_template_deployments_api_v1_advisory_firms__firm_id__templates__template_id__deployments_get","parameters":[{"name":"firm_id","in":"path","required":true,"schema":{"type":"string","title":"Firm Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","title":"Template Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmTemplateDeploymentListResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"FirmTemplateDeploymentListResponse":{"properties":{"deployments":{"items":{"$ref":"#/components/schemas/FirmTemplateDeploymentResponse"},"type":"array","title":"Deployments"},"count":{"type":"integer","title":"Count"}},"type":"object","required":["count"],"title":"FirmTemplateDeploymentListResponse","description":"Wrapper for the deployment history endpoint."},"FirmTemplateDeploymentResponse":{"properties":{"id":{"type":"string","title":"Id"},"template_id":{"type":"string","title":"Template Id"},"business_id":{"type":"string","title":"Business Id"},"status":{"type":"string","title":"Status"},"summary":{"additionalProperties":true,"type":"object","title":"Summary"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"},"applied_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Applied At"},"applied_by":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Applied By"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","template_id","business_id","status","summary","created_at","updated_at"],"title":"FirmTemplateDeploymentResponse","description":"Historical deployment row."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}